body {
    height: 100vh;
    background: #111;
    display: flex;
    justify-content: center;
    align-items: center;
}

a {
    text-decoration: none;
    color: #FFF;
    background: transparent;
    font-family: roboto;
    font-size: 40px;
    /* border: 4px solid #5500FF; */
    border-radius: 1px;
    font-weight: bold;
    letter-spacing: 0;
    padding: 10px 40px;
    position: relative;
    /* overflow: hidden; */
    transition: all 0.3s;
    display: flex;
    justify-content: center;
    align-items: center;
}

a:before,
a:after{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    background: rgba(255, 255, 255, 0.1);
    border: 1px solid rgba(255, 255, 255, 0.2);
    transition: all 0.3s;
}

a:hover:before{
    transform: rotate(-45deg);
    background: rgba(255, 255, 255, 0);
}
a:hover:after{
    transform: rotate(45deg);
    background: rgba(255, 255, 255, 0);
}